Private constructor for disallowing instantiation

- « IntlCalendar::clear

- IntlCalendar::createInstance »

- PHP Manual
- IntlCalendar
- Private constructor for disallowing instantiation

# IntlCalendar::__construct

(PHP 5 >= 5.5.0, PHP 7, PHP 8, PECL >= 3.0.0a1)

IntlCalendar::__construct — Private constructor for disallowing instantiation

### Description

private IntlCalendar::__construct()

A private constructor for disallowing instantiation with the new operator.

Call IntlCalendar::createInstance() instead.

### Parameters

This function has no parameters.